Bug Hunting Session
Bug 107495 - An explicitly enabled contextual toolbar is always closing after exiting its contextual state
Summary: An explicitly enabled contextual toolbar is always closing after exiting its ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 119741 (view as bug list)
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2017-04-27 21:30 UTC by Telesto
Modified: 2019-09-09 05:30 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-04-27 21:30:50 UTC
Description:
The table toolbar can be accessed by creating a table (context dependent) and by enabling the toolbar in Menu -> View -> Table. I personally prefer a steady toolbar, instead of which switches on and off. However the explicitly enabled table toolbar will still automatically close after exiting a table.

There is no solution for this. I can create a new toolbar with the same table functionality which stay's behind, but I can't delete the table toolbar completely.

The frame toolbar behaves the same way

Steps to Reproduce:
1. Open a Writer document
2. Enable table toolbar: View -> Toolbar -> Table
3. Add a table (CTRL+F12)
4. Click below the table -> Toolbar disappears


Actual Results:  
The table toolbar is context depend even when it's explicitly enabled

Expected Results:
If the table toolbar is explicitly enabled, it should stay enabled


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 5.4.0.0.alpha0+
Build ID: 597a2f5d5bd37443262b0775b8439bc3502aef1b
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-26_22:29:37
Locale: nl-NL (nl_NL); Calc: CL

and in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2017-04-30 12:34:58 UTC
Repro.

Arch Linux 64-bit
Version: 5.4.0.0.alpha1+
Build ID: aca48f46895811009ec90665d816ef835f0694be
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on 30th April 2017
Comment 2 Yousuf Philips (jay) (retired) 2017-05-06 11:54:26 UTC
Hopefully bug 103240 will allow a means of fully turn it on my its state of on when in context.

@Cor, @Stuart, @Sophie: Do you know of anyway to stop a contextual toolbar from disappear, as i know you can permanently disable a contextual toolbar from appearing.

@Maxim, @Muhammet: Any idea how difficult this would be to fix, or is all that is needed is to change 'ContextSensitive' from true to false in the user profile?
Comment 3 Maxim Monastirsky 2017-05-06 19:47:35 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> @Maxim, @Muhammet: Any idea how difficult this would be to fix, or is all
> that is needed is to change 'ContextSensitive' from true to false in the
> user profile?
AFAIK changing 'ContextSensitive' alone won't do this. The handling of contextual toolbars is hardcoded in the application code (with Impress/Draw having different code for that than Writer/Calc). What we need is to refactor that code so toolbar context will be set directly in *WindowState.xcu (using vcl::Context enum), similar to what we have for the sidebar.

But currently 'ContextSensitive' does only 2 things:

1. Ignore 'Visible' at application start (i.e. 'ContextSensitive' + 'Visible' means visible when the correct context active). But it have no effect on what will happen later while using the application.

2. Changes the state of View > Toolbars > Reset. If there is at least one 'ContextSensitive' toolbar with 'Visible'=false', that menu item will be enabled, and will allow setting it back to true.
Comment 4 sophie 2017-07-24 15:06:22 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> Hopefully bug 103240 will allow a means of fully turn it on my its state of
> on when in context.
> 
> @Cor, @Stuart, @Sophie: Do you know of anyway to stop a contextual toolbar
> from disappear, as i know you can permanently disable a contextual toolbar
> from appearing.

I don't see any way of having the toolbar without the context, even if you dock it, it will disappear when leaving the context. Sophie
Comment 5 Telesto 2017-11-25 20:29:28 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-11-25 22:20:37 UTC Comment hidden (obsolete)
Comment 7 Telesto 2017-11-26 10:33:36 UTC
Sorry, wrong link. I meant: https://ask.libreoffice.org/en/question/138543/toolbars-in-impress-keep-disappearing/
Comment 8 V Stuart Foote 2018-09-08 04:49:38 UTC
*** Bug 119741 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2019-09-09 05:30:38 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug